%define        MAJver       %(echo %version | cut -d. -f 1)
%define        majver       %(echo %version | cut -d. -f 1-2)
%define        with_ca_mgr  1
%define        with_seed    0
Name:          epiphany
Version:       43.0
Release:       1mamba
Summary:       The web browser for the GNOME desktop
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/Apps
Source0:       https://gitlab.gnome.org/GNOME/epiphany.git/%{version}/epiphany-%{version}.tar.bz2
#Source0:       https://download.gnome.org/sources/epiphany/%{majver}/epiphany-%{version}.tar.xz
Source1:       epiphany-64.png
# TODO
# tar -cz  bookmarks > bookmarks.tar.gz
Source2:       epiphany-1-bookmarks.tar.gz
Source3:       epiphany.png
Source4:       epiphany-default-bookmarks.rdf
Patch0:        epiphany-2.24.0.1-desktop.patch
# TODO
Patch1:        epiphany-2.24.0.1-homepage.patch
Patch2:        epiphany-2.28.2-bookmarks.patch
Patch3:        epiphany-2.30.6-password-migration.patch
Patch4:        epiphany-2.30.6-libnotify-0.7.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libarchive-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libdazzle-devel
BuildRequires: libgcr-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgmp-devel
BuildRequires: libgtk3-devel
BuildRequires: libhandy-devel
BuildRequires: libjson-glib-devel
BuildRequires: libnettle-devel
BuildRequires: libpango-devel
BuildRequires: libportal-devel
BuildRequires: libsecret-devel
BuildRequires: libsoup2-devel
BuildRequires: libsqlite-devel
BuildRequires: libwebkit2gtk-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: gnome-desktop-devel >= %{MAJver}
%if %with_seed
BuildRequires: seed-devel
%endif
BuildRequires: ca-certificates
BuildRequires: eggdbus
BuildRequires: glib-gettextize
BuildRequires: iso-codes-devel
BuildRequires: libalsa-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libaudiofile-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libcanberra-devel
BuildRequires: libcares-devel
BuildRequires: libcurl-devel
BuildRequires: libe2fs-devel
BuildRequires: libesound-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libidn-devel
BuildRequires: libkrb5-devel
BuildRequires: libnm-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpopt-devel
BuildRequires: libpython-devel
BuildRequires: libsasl-devel
BuildRequires: libssh2-devel
BuildRequires: pygtk-devel
BuildRequires: python-gnome-devel
BuildRequires: libdazzle-devel
BuildRequires: libhandy-devel
BuildRequires: libportal-devel
Requires:      ca-certificates
Requires(post):desktop-file-utils

# Epiphany was configured with the following options:

#        Zeroconf bookmarks support : yes
#        NetworkManager support     : yes

# TODO
#        GObject introspection      : no
#        Seed support               : no

# Namespace is empty; likely causes are:
# Not including .h files to be scanned
# Broken --identifier-prefix
# [Epiphany-2.29.gir] Error 1

#        NSS support                : yes
#        Build tests                : yes
#        CA Certificates file       : %{_sysconfdir}/pki/tls/certs/ca-bundle.crt

%description
Epiphany is the web browser for the GNOME desktop. Its goal is to be simple and easy to use.
Epiphany ties together many GNOME components in order to let you focus on the Web content, instead of the browser application.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Epiphany is a GNOME web browser based on the WebKit rendering engine.
This package contains static libraries and header files needed for development.

%package apidocs
Summary:       %{name} api docunentation 
Group:         Documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description apidocs
Epiphany is a GNOME web browser based on the WebKit rendering engine.
This package contains %{name} api docunentation.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF

cat >> data/default-prefs-common.js << EOF
pref("general.useragent.vendor", "openmamba");
pref("general.useragent.vendorSub", "%{version}-%{release}");
EOF

%build
#:<< _EOF
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

:<< __OLD
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{S:1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# TODO
tar -C %{buildroot}%{_datadir}/epiphany -zxvf %{S:2}

rm -f %{buildroot}%{_datadir}/epiphany/default-bookmarks.rdf
install -pm 644 %{S:4} %{buildroot}%{_datadir}/epiphany/default-bookmarks.rdf

rm -f %{buildroot}%{_libdir}/epiphany/*/plugins/*.la

# Don't ship icon caches, either
rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache
rm -f %{buildroot}%{_datadir}/icons/HighContrastLargePrint/icon-theme.cache
rm -f %{buildroot}%{_datadir}/icons/HighContrastLargePrintInverse/icon-theme.cache

# LowContrastLargePrint seems to be obsolete, so remove it until further notice
rm -rf %{buildroot}%{_datadir}/icons/LowContrastLargePrint

helpdir=%{buildroot}%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
       g="$d/figures/$b"
       if [ -f "$g" ]; then
         if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
       fi
    fi
  done
done

mkdir -p %{buildroot}%{_libdir}/epiphany/%{majver}/{plugins,extensions}
ln -sf %{majver}/plugins %{buildroot}%{_libdir}/epiphany/plugins
ln -sf %{majver}/extensions %{buildroot}%{_libdir}/epiphany/extensions
__OLD

%find_lang %{name} --with-gnome

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%{_bindir}/update-desktop-database -q %{_datadir}/applications
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
touch --no-create %{_datadir}/icons/hicolor
touch --no-create %{_datadir}/icons/HighContrastLargePrint
touch --no-create %{_datadir}/icons/HighContrastLargePrintInverse
exit 0

%preun
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
exit 0

%postun
%{_bindir}/update-desktop-database -q %{_datadir}/applications
if [ $1 -eq 0 ]; then
	touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
	touch --no-create %{_datadir}/icons/HighContrastLargePrint &> /dev/null || :
	touch --no-create %{_datadir}/icons/HighContrastLargePrintInverse &> /dev/null || :
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrint &> /dev/null || :
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrintInverse &> /dev/null || :
fi
:

%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrint &> /dev/null || :
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrintInverse &> /dev/null || :
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/epiphany
%if %with_seed
%{_libdir}/girepository-*/Epiphany-*.typelib
%endif
%dir %{_libdir}/epiphany
%{_libdir}/epiphany/libephymain.so
%{_libdir}/epiphany/libephymisc.so
%{_libdir}/epiphany/libephysync.so
%dir %{_libdir}/epiphany/web-process-extensions
%{_libdir}/epiphany/web-process-extensions/lib*.so
%{_libexecdir}/epiphany-webapp-provider
%dir %{_libexecdir}/epiphany
%{_libexecdir}/epiphany/ephy-profile-migrator
%{_libexecdir}/epiphany-search-provider
%{_datadir}/applications/org.gnome.Epiphany.desktop
%{_datadir}/dbus-1/services/org.gnome.Epiphany.*.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Epiphany.SearchProvider.ini
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Epiphany.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Epiphany-symbolic.svg
%{_datadir}/metainfo/org.gnome.Epiphany.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Epiphany.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.epiphany.gschema.xml
%dir %{_datadir}/epiphany
%{_datadir}/epiphany/default-bookmarks.rdf
%if %with_seed
%{_datadir}/gir-*/Epiphany-*.gir
%endif
#%dir %{_datadir}/help/*/epiphany
#%{_datadir}/help/*/epiphany/*
%{_mandir}/man1/epiphany.1*
%doc COPYING

#%files devel
#%defattr(-,root,root)
#%{_datadir}/aclocal/epiphany.m4 
#%dir %{_includedir}/epiphany/%{majver}/epiphany
#%{_includedir}/epiphany/%{majver}/epiphany/*.h
#%{_libdir}/pkgconfig/*.pc
#%doc ChangeLog ChangeLog-* NEWS README TODO

#%files apidocs
#%defattr(-,root,root)
#%dir %{_datadir}/gtk-doc/html/epiphany
#%doc %{_datadir}/gtk-doc/html/epiphany/*

%changelog
* Tue Nov 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 43.0-1mamba
- update to 43.0

* Fri Dec 17 2021 Automatic Build System <autodist@mambasoft.it> 41.2-1mamba
- automatic version update by autodist

* Thu Dec 16 2021 Automatic Build System <autodist@mambasoft.it> 41.1-1mamba
- automatic version update by autodist

* Fri Nov 26 2021 Automatic Build System <autodist@mambasoft.it> 41.0-1mamba
- automatic version update by autodist

* Fri Aug 13 2021 Automatic Build System <autodist@mambasoft.it> 40.3-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 40.2-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 40.1-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 40.0-1mamba
- update to 40.0

* Sat Mar 13 2021 Automatic Build System <autodist@mambasoft.it> 3.38.3-1mamba
- automatic version update by autodist

* Thu Dec 03 2020 Automatic Build System <autodist@mambasoft.it> 3.38.2-1mamba
- automatic version update by autodist

* Tue Nov 10 2020 Automatic Build System <autodist@mambasoft.it> 3.38.1-1mamba
- automatic version update by autodist

* Sun Aug 09 2020 Automatic Build System <autodist@mambasoft.it> 3.36.4-1mamba
- automatic version update by autodist

* Fri Jul 03 2020 Automatic Build System <autodist@mambasoft.it> 3.36.3-1mamba
- automatic version update by autodist

* Fri May 29 2020 Automatic Build System <autodist@mambasoft.it> 3.36.2-1mamba
- automatic version update by autodist

* Fri Apr 03 2020 Automatic Build System <autodist@mambasoft.it> 3.36.1-1mamba
- automatic version update by autodist

* Tue Feb 05 2019 Automatic Build System <autodist@mambasoft.it> 3.30.3-1mamba
- automatic version update by autodist

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 3.30.2-1mamba
- automatic version update by autodist

* Wed Oct 10 2018 Automatic Build System <autodist@mambasoft.it> 3.30.1-1mamba
- automatic version update by autodist

* Wed Sep 12 2018 Automatic Build System <autodist@mambasoft.it> 3.28.3.1-1mamba
- automatic version update by autodist

* Mon Nov 20 2017 Automatic Build System <autodist@mambasoft.it> 3.22.7-1mamba
- automatic update by autodist

* Mon Feb 06 2017 Automatic Build System <autodist@mambasoft.it> 3.22.6-1mamba
- automatic version update by autodist

* Tue Oct 18 2016 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Sun Jul 24 2016 Automatic Build System <autodist@mambasoft.it> 3.20.3-1mamba
- automatic version update by autodist

* Sun Jan 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16.3-2mamba
- rebuilt by autoport with build requirements: gnome-desktop-devel>=3.18.2-1mamba

* Thu Jul 09 2015 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic version update by autodist

* Tue Jun 30 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Sat Apr 11 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Sun Nov 30 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.1-1mamba
- update to 3.12.1

* Wed Dec 11 2013 Automatic Build System <autodist@mambasoft.it> 3.10.3-1mamba
- automatic version update by autodist

* Fri Nov 15 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Fri May 31 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Wed Apr 17 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Thu Apr 04 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Sun Oct 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Tue Jun 12 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- update to 3.0.4

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Sun May 22 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.6-3mamba
- added patch for libnotify 0.7

* Tue Nov 30 2010 gil <puntogil@libero.it> 2.30.6-2mamba
- rebuilt devel

* Sat Sep 25 2010 gil <puntogil@libero.it> 2.30.6-1mamba
- update to 2.30.6
- edit spec file

* Tue Dec 01 2009 gil <puntogil@libero.it> 2.28.2-1mamba
- update to 2.28.2

* Mon Apr 27 2009 gil <puntogil@libero.it> 2.26.1-1mamba
- update to 2.26.1

* Tue Jan 13 2009 gil <puntogil@libero.it> 2.24.3-1mamba
- update to 2.24.3

* Mon Jan 12 2009 gil <puntogil@libero.it> 2.24.2.1-2mamba
- added %post %postun %preun

* Sun Dec 07 2008 gil <puntogil@libero.it> 2.24.2.1-1mamba
- update to 2.24.2.1
- built with: xulrunner 1.9.0.4

* Tue Nov 25 2008 gil <puntogil@libero.it> 2.24.2-1mamba
- update to 2.24.2

* Tue Oct 21 2008 gil <puntogil@libero.it> 2.24.1-2mamba
- edit default-bookmars.html

* Tue Oct 21 2008 gil <puntogil@libero.it> 2.24.1-1mamba
- update to 2.24.1

* Tue Oct 21 2008 gil <puntogil@libero.it> 2.24.0.1-1mamba
- package created by autospec
